--- minixfs.c.orig	Thu Jun 16 10:16:46 1994
+++ minixfs.c	Thu Jun 16 10:17:06 1994
@@ -267,8 +267,8 @@
 				mode |= 0111;
 	}
 	ripnew.i_mode= I_REGULAR | mode;
-	ripnew.i_uid=Getuid();
-	ripnew.i_gid=Getgid();
+	ripnew.i_uid=Geteuid();
+	ripnew.i_gid=Getegid();
 	ripnew.i_nlinks=1;
 
 	ripnew.i_mtime=Unixtime(Timestamp(), Datestamp());
@@ -412,8 +412,8 @@
 	/* Set up inode */
 	bzero(&ripnew,sizeof(d_inode));
 	ripnew.i_mode=I_DIRECTORY | (mode & 0777);
-	ripnew.i_uid=Getuid();
-	ripnew.i_gid=Getgid();
+	ripnew.i_uid=Geteuid();
+	ripnew.i_gid=Getegid();
 	ripnew.i_nlinks=2;
 	ripnew.i_mtime=Unixtime(Timestamp(), Datestamp());
 	ripnew.i_ctime=ripnew.i_mtime;
@@ -1382,8 +1382,8 @@
 	bzero(&rip,sizeof(d_inode));
 	rip.i_mode=I_SYMLINK | 0777;
 	rip.i_size=strlen(to)+1;
-	rip.i_uid=Getuid();
-	rip.i_gid=Getgid();
+	rip.i_uid=Geteuid();
+	rip.i_gid=Getegid();
 	rip.i_mtime=Unixtime(Timestamp(),Datestamp());
 	rip.i_ctime=rip.i_mtime;
 	rip.i_atime=rip.i_mtime;
